Issue 63053 - Cell annotation is rendered transparent after doc store
Summary: Cell annotation is rendered transparent after doc store
Status: CLOSED FIXED
Alias: None
Product: App Dev
Classification: Unclassified
Component: api (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All Windows XP
: P3 Trivial
Target Milestone: ---
Assignee: oc
QA Contact: issues@api
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-03-11 15:12 UTC by bmarcelly
Modified: 2013-02-24 21:06 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Document contains 3 test macros showing details of the problem (11.90 KB, application/vnd.oasis.opendocument.spreadsheet)
2006-05-09 08:08 UTC, bmarcelly
no flags Details
Test program showing annotations not being saved (6.50 KB, text/plain)
2007-01-08 16:03 UTC, richfearn
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description bmarcelly 2006-03-11 15:12:28 UTC
The described anomaly appears in 2.0.2 but not in 1.1.4

When an annotation is inserted in a Calc cell through com.sun.star.sheet.
XSheetAnnotations.insertNew() the annotation is correctly shown with the usual yellow 
background.
After the document has been stored, closed, reopened, the annotation turns to a 
transparent background.

Basic example:

Sub ajouterNote
dim maFeuille as object, maCellule as object
dim lesNotes as object, adr as object

maFeuille = thisComponent.Sheets.getByIndex(0)
maCellule = maFeuille.getCellRangeByName("F11")
adr = maCellule.CellAddress
lesNotes = maFeuille.Annotations
lesNotes.insertNew(adr, "bla ble bli blo blu")
End Sub

The same example works correctly in 1.1.4.
Comment 1 stephan.wunderlich 2006-03-13 11:11:57 UTC
sw->nn: One for you methinks
Comment 2 bmarcelly 2006-05-09 08:08:57 UTC
Created attachment 36327 [details]
Document contains 3 test macros showing details of the problem
Comment 3 niklas.nebel 2006-06-23 17:27:58 UTC
Changing target to 2.x
Comment 4 richfearn 2007-01-08 15:58:44 UTC
I see a similar problem with 2.0.3. I'll attach some code demonstrating the
problem. The behaviour differs depending on whether (a) the document is saved by
the code, and (b) any manual changes are made to the document.

The code creates a blank spreadsheet document, adds some annotations, and saves
the document.

Test 1: annotations added and document saved programmatically. If the document
is then manually closed and reopened the annotations are missing.

Test 2: annotations added programmatically; document saved manually by clicking
Save button. If document is then manually closed/reopened the annotations are
missing.

Test 3: annotations added and document saved programmatically; change is made
manually (e.g. entering a value into a cell). Document is then manually
saved/closed/reopened; annotations are present, but they (a) have a transparent
background (as the bug reporter mentioned) and (b) they are displayed in the
wrong position, in the very top left corner of the sheet.

Test 4: annotations added programmatically; a change is made to the document and
it is then manually saved/closed/reopened. Annotations are not present.

So annotations are only saved if (1) the document is saved programmatically, (2)
a manual change is made, and (3) it is saved manually.

When annotations are missing, they aren't in the content.xml file inside the
.ods file.
Comment 5 richfearn 2007-01-08 16:03:11 UTC
Created attachment 42013 [details]
Test program showing annotations not being saved
Comment 6 richfearn 2007-01-08 18:57:04 UTC
This bug still exists in OpenOffice.org 2.1.
Comment 7 niklas.nebel 2007-12-04 18:11:40 UTC
retarget 2.x -> 3.x
Comment 8 daniel.rentz 2008-11-26 13:00:22 UTC
taking over. checking if that still happens in CWS dr66...
Comment 9 daniel.rentz 2008-11-26 13:10:52 UTC
Already fixed (by chance) due to fundamental reimplementations in the area of
cell annotations.
Comment 10 daniel.rentz 2008-12-04 16:38:38 UTC
back to QA
Comment 11 oc 2009-01-26 16:07:36 UTC
verified in internal build cws_dr66
Comment 12 bmarcelly 2009-02-23 14:55:04 UTC
OK for me on OOO310m2 (Build 9385)
Comment 13 thorsten.ziehm 2009-07-20 14:52:31 UTC
This issue is closed automatically and wasn't rechecked in a current version of
OOo. The fixed issue should be integrated in OOo since more than half a year. If
you think this issue isn't fixed in a current version (OOo 3.1), please reopen
it and change the field 'Target Milestone' accordingly.

If you want to download a current version of OOo =>
http://download.openoffice.org/index.html
If you want to know more about the handling of fixed/verified issues =>
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues
Comment 14 thorsten.ziehm 2009-07-20 15:36:34 UTC
Sorry this issue was wrongly closed. This issue will be reopened automatically.
And will be set after that back to fixed/verified.
Comment 15 thorsten.ziehm 2009-07-20 15:40:51 UTC
Set to state 'fixed'.
Comment 16 thorsten.ziehm 2009-07-20 15:44:53 UTC
Set back to state 'verified/fixed'.

Again. Sorry for the mass of mails.
Comment 17 thorsten.ziehm 2010-02-22 15:13:44 UTC
This issue is closed automatically. It should be fixed in a version with is
available for longer than half a year (OOo 3.1). If you think this issue isn't
fixed in the current version (OOo 3.2) please reopen it. But then please pay
attention about the field 'target milestone'.
The closure was approved by the Release Status Meeting at 22nd of February 2010
and it is based on the issue handling guideline for fixed/verified issues  :
http://wiki.services.openoffice.org/wiki/Handle_fixed_verified_issues